// +-------------------------------- DISCLAIMER ---------------------------------+
// |                                                                             |
// | This application program is provided to you free of charge as an example.   |
// | Despite the considerable efforts of Euresys personnel to create a usable    |
// | example, you should not assume that this program is error-free or suitable  |
// | for any purpose whatsoever.                                                 |
// |                                                                             |
// | EURESYS does not give any representation, warranty or undertaking that this |
// | program is free of any defect or error or suitable for any purpose. EURESYS |
// | shall not be liable, in contract, in torts or otherwise, for any damages,   |
// | loss, costs, expenses or other claims for compensation, including those     |
// | asserted by third parties, arising out of or in connection with the use of  |
// | this program.                                                               |
// |                                                                             |
// +-----------------------------------------------------------------------------+
//
// LotMixingOnlineDlg.cpp : implementation file
//

#include "stdafx.h"
#include "LotMixingOnline.h"
#include "LotMixingOnlineDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CLotMixingOnlineDlg dialog

CLotMixingOnlineDlg::CLotMixingOnlineDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CLotMixingOnlineDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CLotMixingOnlineDlg)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
	// Note that LoadIcon does not require a subsequent DestroyIcon in Win32
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);

}

void CLotMixingOnlineDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CLotMixingOnlineDlg)
		// NOTE: the ClassWizard will add DDX and DDV calls here
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CLotMixingOnlineDlg, CDialog)
	//{{AFX_MSG_MAP(CLotMixingOnlineDlg)
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
    ON_COMMAND(IDM_FILE_NEW,OnFileOpen)
    ON_COMMAND(IDM_FILE_EXIT,OnFileExit)


	//}}AFX_MSG_MAP

END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CLotMixingOnlineDlg message handlers

void CLotMixingOnlineDlg::OnFileExit()
{
	EndDialog(0);

}

void CLotMixingOnlineDlg::OnFileOpen()
{

	char strFilter[] = { "Image Files (*.bmp)|*.bmp|" };

	CFileDialog FileDlg(FALSE, ".bmp", NULL, 0, strFilter);

	if( FileDlg.DoModal() == IDOK )
	{

		/// Call the Inspect function of the ImageProcessing class
		m_Processing.Inspect(FileDlg.GetPathName());

		/// Refresh the window
		Invalidate();

	}

}


BOOL CLotMixingOnlineDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon

    m_Menu.LoadMenu(IDR_MENU1);
    SetMenu(&m_Menu);

	/// Call the Initialize function of the ImageProcessing class
	m_Processing.Initialize();

	return TRUE;  // return TRUE  unless you set the focus to a control
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CLotMixingOnlineDlg::OnPaint()
{

	CPaintDC dc(this); // device context for painting

	if (IsIconic())
	{

		SendMessage(WM_ICONERASEBKGND, (WPARAM) dc.GetSafeHdc(), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{

		CDialog::OnPaint();

		/// Call the Draw function of the ImageProcessing class
		m_Processing.Draw(dc.GetSafeHdc());

	}
}

// The system calls this to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CLotMixingOnlineDlg::OnQueryDragIcon()
{
	return (HCURSOR) m_hIcon;
}








